event.c File Reference

Event loop and management. More...

## Macros

#define | _sleep(x) usleep((x)*1000)
#define | STROPE_MESSAGE_BUFFER_SIZE 4096
| Max buffer size for receiving messages. More...

## Functions

void | xmpp_run_once (xmpp_ctx_t *ctx, unsigned long timeout)
| Run the event loop once. More...
void | xmpp_run (xmpp_ctx_t *ctx)
| Start the event loop. More...
void | xmpp_stop (xmpp_ctx_t *ctx)
| Stop the event loop. More...

## Detailed Description

Event loop and management.

## Macro Definition Documentation

## _sleep

#define _sleep | ( |  | x | ) | usleep((x)*1000)

## STROPE_MESSAGE_BUFFER_SIZE

#define STROPE_MESSAGE_BUFFER_SIZE 4096

Max buffer size for receiving messages.